#ifndef __CFCHATTERSWIN_H__
#define __CFCHATERSWIN_H__

#include <set>
#include "Window.H"
#include "TextArea.H"
#include "StrList.H"

class userstatus {
	public:
		userstatus() { isIggy=false; isAway=false; }
		string name;
		bool isIggy;
		bool isAway;
		bool operator() (const userstatus &first, const userstatus &second) {
			return (strcasecmp(first.name.c_str(), second.name.c_str()) < 0); 
		}
};

class CFChattersWin: public Window {
	public:
		CFChattersWin(int wdth,int hght,bool brdr=true, bool shdw=false);
		~CFChattersWin();
		widstat input(Char inp);
		widstat style(Char stile);
		int add(const StrList &ul, const StrList &ig);
		int add(const string &user, bool iggy, bool away=false);
		int remove(const string &user);	
		StrList getList();
	private:
		TextArea *_rlistwid;
		set<userstatus,userstatus> _roomlist;
		CFChattersWin(const CFChattersWin &);
		CFChattersWin &operator=(const CFChattersWin &);
		void makeGrid();
};

#endif // __CFCHATTERSWIN_H__
